class Activity < ApplicationRecord
  belongs_to :author, class_name: "User"
  
  has_one :joined_user_activities
  has_one :user, :through => :joined_user_activities

  validates :name, presence: true
  validates :author, presence: true
end
